#!/bin/sh
#------------------------------------------------------------------------------
# main_Firewall-Rules.cgi - show all firewall rules
#
# Creation:     02.06.2002  tobig
# Last Update:  02.06.2002  tobig
# Last Update:  13.06.2002  rpn
#
#------------------------------------------------------------------------------

SEC_REALM='webtools'
SEC_ACTION='firewall'
. sec-lib.cgi

myname=`basename $0`

if [ "$QUERY_STRING" = "shownames" ]
then
  show="<a href=\"$myname\">Show IPs</a>"
  num=''
else
  show="<a href=\"$myname?shownames\">Show Names</a>"
  num='-n'
fi

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo "<html><head>"
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo "<title>Firewall-Rules</title>"
echo "</head><body>"
echo "<h1>Firewall-Rules (OPT_WEBTOOLS)</h1>"
echo "<p>$show<p><table border=\"1\">"
/sbin/ipchains -L --line-numbers -v $num | sed -f /usr/local/htdocs/webtools.sc1
echo "</table></body></html>"
