#!/bin/sh
#------------------------------------------------------------------------------
# main_Online-Connections.cgi - show masqeraded connections
#
# Creation:     01.03.2001  tobig
# Last Update:  02.06.2002  tobig
#
#------------------------------------------------------------------------------

RTIME=10

SEC_REALM='webtools'
SEC_ACTION='online'
. sec-lib.cgi

myname=`basename $0`

if [ "$QUERY_STRING" = "shownames" ]
then
  show="<a href=\"$myname\">Show IPs</a>"
  num=''
else
  show="<a href=\"$myname?shownames\">Show Names</a>"
  num='-n'
fi

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo "Refresh: $RTIME"
echo
echo "<html><head>"
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo "<meta HTTP-EQUIV=\"Refresh\" CONTENT=\"$RTIME\">"
echo "<title>Online-Connections</title>"
echo "</head><body>"
echo "<h1>Online-Connections</h1>"
echo "<p>$show<p><table border=\"1\">"
/sbin/ipchains -M -L $num | sed 's/>/\&gt;/; /^IP/ { s|^\(.*\)$|<tr><th colspan="5">\1<\th></tr>|; n; }; s|^\([^ ]*\) *\([^ ]*\) *\([^ ]*\) *\([^ ]*\) *\(.*\)$|<tr><td>\1</td><td>\2</td><td>\3</td><td>\4</td><td>\5</td></tr>|'

echo "</table></body></html>"
